Source: pikepdf
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Vincent Cheng <vcheng@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libqpdf-dev (>= 10.6.2),
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-deprecated,
 python3-ipython,
 python3-lxml,
 python3-matplotlib,
 python3-packaging,
 python3-pil,
 python3-pybind11 (>= 2.12.0),
 python3-setuptools (>= 61),
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-autoapi,
 python3-sphinx-issues,
 python3-sphinx-rtd-theme,
 python3-tomli
Standards-Version: 4.7.0
Homepage: https://github.com/pikepdf/pikepdf
Vcs-Browser: https://salsa.debian.org/python-team/packages/pikepdf
Vcs-Git: https://salsa.debian.org/python-team/packages/pikepdf.git
Rules-Requires-Root: no

Package: python3-pikepdf
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Python library to read and write PDFs with QPDF
 pikepdf is a Python library to read and write PDFs with QPDF.
 Features include:
 .
   * Editing, manipulation and transformation of existing PDFs
   * Based on the mature, proven QPDF C++ library
   * Works with encrypted PDFs
   * Supports all PDF compression filters
   * Can create "fast web view" (linearized) PDFs
   * Creates standards compliant PDFs that pass validation in other tools
   * Automatically repairs damaged PDFs, just like QPDF
   * Implements more of the PDF specification than existing Python PDF tools
   * IPython notebook and Jupyter integration

Package: pikepdf-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Multi-Arch: foreign
Description: Python library to read and write PDFs with QPDF - documentation
 pikepdf is a Python library to read and write PDFs with QPDF.
 .
 This package includes pikepdf's HTML documentation.
 .
 See the description for the pikepdf binary package for more
 information about pikepdf.
